{ self
, inputs
, ...
}: {
  flake.modules.nixos.keith = { config, ... }: {
    age.secrets.upsmon.file = "${inputs.secrets}/upsmon.age";

    imports = with self.factory; [
      (nut-client {
        buggie = {
          type = "slave";
          passwordFile = config.age.secrets.upsmon.path;
          system = "main-ups@buggie.veltnet";
          user = "observer";
        };
      })
    ];
  };
}
